Subject: bug#43865: mml-attach-file could call system file chooser

From: Robert Pluim <[email-masked]>
Date: Thu, 08 Oct 2020 16:05:06 +0200

>>>>> On Thu, 08 Oct 2020 15:55:06 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: 積丹尼 Dan Jacobson <[email-masked]>,
    >> [email-masked]
    >> Date: Thu, 08 Oct 2020 14:28:16 +0200
    >> 
    >> True, but I think this was more of a feature request. How about we
    >> allow use-dialog-box and use-file-dialog to have a value of 'always?

    Eli> Does that really work?  Doesn't the mouse click even bring some
    Eli> information needed by the dialog?  I guess it's okay if not, although
    Eli> I wouldn't be building such a new feature on a single request.  But
    Eli> that's me.

Based on hacking 'next-read-file-uses-dialog-p' to always return t,
things work fine for at least 'find-file' and 'mml-attach-file'

Robert
--